import { CloudProvider } from '../../enums/cloud-provider.enum';
import { ICloudProvider } from '../../interfaces/cloud-provider.interface';
import { CloudProviderRegistration } from '../tokens';
export declare class ProviderFactory {
    private readonly registry;
    constructor(registrations: CloudProviderRegistration | CloudProviderRegistration[] | null);
    getProvider(provider: CloudProvider): ICloudProvider;
    getSupportedProviders(): CloudProvider[];
}
